package com.cloudam.cromwell.domain;

/**
 * @author lglhope
 *
 * 启动集群的队列、实例类型、实例操作系统、磁盘
 */
public class AutoCluster {

    /**
     * 队列(c-4-1)
     */
    private String partition;

    /**
     * 实例类型(ONDEMAND|SPOT)
     */
    private String type;

    /**
     * 实例操作系统(LINUX|WINDOWS)
     */
    private Os os = Os.Linux;

    /**
     * 实例磁盘类型及大小(SSD 40)
     */
    private CLoudamDisk disk;

    public String getPartition() {
        return partition;
    }

    public void setPartition(String partition) {
        this.partition = partition;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Os getOs() {
        return os;
    }

    public void setOs(Os os) {
        this.os = os;
    }
}